$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.40-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.40-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'AA44A34703964B7D356034B412497C769DDDB0C04D161DE37A57377C055D8E6E'
  checksumType = 'sha256'
  checksum64 = 'AA44A34703964B7D356034B412497C769DDDB0C04D161DE37A57377C055D8E6E'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.1.40-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
